trying to apply .MSU hotfix to enable TLS v1.2 on .NET 3.5 SP1

Questions about Wine on Linux
Post Reply
day61@hotmail.com
Newbie
Newbie
Posts: 2
Joined: Mon Apr 12, 2021 10:58 pm

trying to apply .MSU hotfix to enable TLS v1.2 on .NET 3.5 SP1

Post by day61@hotmail.com » Mon Apr 12, 2021 11:17 pm

hi everybody,
i have been running an application that requires .NET 3.5.1 on a 32bit wine prefix without issue for quite some time. historically, .NET 3.5.1 did not support TLS v1.2 but Microsoft published an update that added TLS v1.2 functionality. details of the TLS v1.2 update can be found here. https://support.microsoft.com/en-us/top ... d2df58715a

subsequent to this, the application was updated to utilize the new TLS v1.2 functionality of .NET 3.5.1. accordingly, some of the key features of the application no longer work.

the update was published in the form of a .MSU file. does anyone know how this update can be applied to the wine prefix? appreciate and thank you for your help in advance.

wine version: 4.0.2
wine arch: 32bit
linux distro: debian 10.9

qwertymnb
Level 4
Level 4
Posts: 164
Joined: Sun Jan 17, 2016 4:36 pm
Location: Eindhoven de gekste!

Re: trying to apply .MSU hotfix to enable TLS v1.2 on .NET 3.5 SP1

Post by qwertymnb » Fri Apr 16, 2021 4:28 pm

>does anyone know how this update can be applied to the wine prefix?

It can probably not.
Afaik you install it running wusa.exe, but wine`s wusa.exe is probably not capable of installing this msu.

Maybe better idea to try installing a higher .net version like dotnet472 or so; I can imagine that if M*soft put updates in .Net3.5.1 they should be present in higher versions as well (?)

qwertymnb
Level 4
Level 4
Posts: 164
Joined: Sun Jan 17, 2016 4:36 pm
Location: Eindhoven de gekste!

Re: trying to apply .MSU hotfix to enable TLS v1.2 on .NET 3.5 SP1

Post by qwertymnb » Fri Apr 16, 2021 4:32 pm

And to confirm 1st statement:

wine wusa.exe ./windows6.1-kb3154518-x64.msu
002c:err:wineboot:process_run_key Error running cmd L"C:\\windows\\system32\\winemenubuilder.exe -a -r" (126).
00c8:fixme:wusa:load_assemblies_from_cab Cabinet uses proprietary msdelta file compression which is not (yet) supported
00c8:fixme:wusa:load_assemblies_from_cab Installation of msu file will most likely fail
00c8:fixme:wusa:read_assembly Ignoring unexpected tag L"runtime"
00c8:fixme:wusa:read_assembly Ignoring unexpected tag L"runtime"
00c8:fixme:wusa:read_package Ignoring unexpected tag L"installerAssembly"
00c8:fixme:wusa:read_package Ignoring unexpected tag L"installerAssembly"
00c8:fixme:wusa:read_package Ignoring unexpected tag L"installerAssembly"
00c8:fixme:wusa:read_package Ignoring unexpected tag L"installerAssembly"
00c8:fixme:wusa:read_package Ignoring unexpected tag L"installerAssembly"
00c8:fixme:wusa:read_package Ignoring unexpected tag L"installerAssembly"
00c8:fixme:wusa:read_package Ignoring unexpected tag L"mum2:customInformation"
00c8:fixme:wusa:read_package Ignoring unexpected tag L"installerAssembly"
00c8:err:wusa:install_files_copy Required file L"C:\\users\\louis\\Temp\\msu2.tmp\\amd64_netfx-system_b03f5f7f11d50a3a_6.1.7601.23444_none_a864fb72177456c1\\System.dll" not found
00c8:err:wusa:install_assembly Failed to install all files for L"NetFx-System"
00c8:err:wusa:install_updates Failed to install update L"Package_for_KB3154518"
00c8:err:wusa:install_msu Dry run failed, aborting installation

day61@hotmail.com
Newbie
Newbie
Posts: 2
Joined: Mon Apr 12, 2021 10:58 pm

Re: trying to apply .MSU hotfix to enable TLS v1.2 on .NET 3.5 SP1

Post by day61@hotmail.com » Mon Apr 19, 2021 6:28 am

thanks qwertymnb.

so you think that if i install a higher dotnet version, say 472, to the wine prefix, then that might possible enable TLS v1.2 support in dotnet 351? i will give this a try and report back results.

Post Reply